For the complete documentation index, see llms.txt. This page is also available as Markdown.

Gen AI Traces

Get GenAI trace summaries and span waterfall data

Get GenAI trace spans

get

Get spans for a GenAI trace.

Path parameters
traceIdstringRequired
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

limitinteger · int32Optional
offsetinteger · int32Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/genai-traces/{traceId}/spans
GET /gateway/ccm/api/genai-traces/{traceId}/spans?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List GenAI services

get

List unique GenAI services observed in the last year, with their last activity timestamp and active/inactive status.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/genai-traces/services
GET /gateway/ccm/api/genai-traces/services?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List GenAI trace summaries

post

List GenAI trace summaries.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

limitinteger · int32Optional
offsetinteger · int32Optional
Body
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/genai-traces
POST /gateway/ccm/api/genai-traces?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 442

{
  "filters": {
    "stringFilters": [
      {
        "field": "GENAI_SERVICE_NAME",
        "operator": "NOT_IN",
        "values": [
          "text"
        ]
      }
    ],
    "numericFilters": [
      {
        "field": "GENAI_SERVICE_NAME",
        "operator": "NOT_IN",
        "value": 1
      }
    ],
    "timeFilters": [
      {
        "operator": "NOT_IN",
        "timestamp": 1
      }
    ]
  },
  "labelFilters": [
    {
      "field": {
        "fieldId": "text",
        "fieldName": "text",
        "identifier": "CLUSTER",
        "identifierName": "text"
      },
      "operator": "NOT_IN",
      "values": [
        "text"
      ]
    }
  ],
  "sortBy": {
    "field": "GENAI_SERVICE_NAME",
    "order": "ASCENDING"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?